<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemUser" table="system_user">
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="loginCode" type="java.lang.String">
            <column name="login_code" length="50" not-null="true">
                <comment>登录账号</comment>
            </column>
        </property>
        <property name="password" type="java.lang.String">
            <column name="password" length="50" not-null="true">
                <comment>登录密码md5加密</comment>
            </column>
        </property>
        <property name="saltValue" type="java.lang.String">
            <column name="salt_value" length="50" not-null="true">
                <comment>盐值</comment>
            </column>
        </property>
        <property name="activated" type="java.lang.String">
            <column name="activated" length="10" not-null="true">
                <comment>用户是否激活</comment>
            </column>
        </property>
        <property name="orgId" type="java.lang.String">
            <column name="org_id" length="50">
                <comment>所属机构</comment>
            </column>
        </property>
        <property name="userName" type="java.lang.String">
            <column name="user_name" length="50" not-null="true">
                <comment>姓名</comment>
            </column>
        </property>
        <property name="userEmail" type="java.lang.String">
            <column name="user_email" length="50">
                <comment>电子邮件地址</comment>
            </column>
        </property>
        <property name="userMobile" type="java.lang.String">
            <column name="user_mobile" length="50">
                <comment>手机</comment>
            </column>
        </property>
        <property name="userSex" type="java.lang.String">
            <column name="user_sex" length="50">
                <comment>性别</comment>
            </column>
        </property>
        <property name="userBirthday" type="java.lang.String">
            <column name="user_birthday" length="50">
                <comment>生日</comment>
            </column>
        </property>
        <property name="userQq" type="java.lang.String">
            <column name="user_qq" length="50">
                <comment>qq</comment>
            </column>
        </property>
        <property name="userWechat" type="java.lang.String">
            <column name="user_wechat" length="50">
                <comment>微信</comment>
            </column>
        </property>
        <property name="lastLoginTime" type="java.sql.Timestamp">
            <column name="last_login_time" length="0">
                <comment>最后登录时间</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
